跳转到主要内容
资源中心/资源编排/资源编排相关接口
GETCloudFormation Operations起始版本 2.5.0同步需要认证

获取资源栈内资源列表

获取资源栈内资源列表

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

查询参数

请求参数

查询参数

  • uuidString必填

    堆栈的UUID

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • resourcesList必填

    资源栈中的资源清单列表

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

请求地址

GET/zstack/v1/cloudformation/stack/resources

/zstack/v1/cloudformation/stack/resources

操作 ID

GetResourceFromResourceStack

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/cloudformation/stack/resources?uuid=<uuid>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "resources": [ { "VmInstance": { "uuid": "70b885e0948b34a5831c75a457322b47", "name": "Test-VM", "description": "web server VM", "zoneUuid": "d35a2b4b992c3293ac1bc10096de6cb2", "clusterUuid": "8179e9b50398308aa0e2bf4eaf6f9712", "imageUuid": "b3aedde2f9ba32e7a4442a48860180c3", "hostUuid": "f2d9365120cf36ef961e8b522e0c319d", "lastHostUuid": "93b923aa43433196895dada30f9dc458", "instanceOfferingUuid": "61c0ba5753753a39b6c792ae6ef94915", "rootVolumeUuid": "7d45c0a312ce37ffacc75005da14dcae", "platform": "Linux", "defaultL3NetworkUuid": "e8604346d3d63ed790f0ba8d443af3d9", "type": "UserVm", "hypervisorType": "KVM", "memorySize": 8.589934592E9, "cpuNum": 1.0, "allocatorStrategy": "LastHostPreferredAllocatorStrategy", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "state": "Running", "vmNics": [ { "uuid": "db23a9ba4d05362da2a58c51a9e50f65", "vmInstanceUuid": "70b885e0948b34a5831c75a457322b47", "usedIpUuid": "bf43c6c9ab453ed2be711573a1b959a0", "l3NetworkUuid": "e8604346d3d63ed790f0ba8d443af3d9", "ip": "192.168.1.10", "mac": "00:0c:29:bd:99:fc", "hypervisorType": "KVM", "netmask": "255.255.255.0", "gateway": "192.168.1.1", "deviceId": 0.0, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "allVolumes": [ { "uuid": "7d45c0a312ce37ffacc75005da14dcae", "name": "Root-Volume-For-VM-70b885e0948b34a5831c75a457322b47", "primaryStorageUuid": "657bf5b4fe7c31ae9a50dd703dbbf958", "vmInstanceUuid": "70b885e0948b34a5831c75a457322b47", "diskOfferingUuid": "1c10223d580b3b889d1e06e6ad94f398", "rootImageUuid": "b3aedde2f9ba32e7a4442a48860180c3", "installPath": "/Cloud_ps/rootVolumes/acct-36c27e8ff05c4780bf6d2fa65700f22e/vol-7d45c0a312ce37ffacc75005da14dcae/7d45c0a312ce37ffacc75005da14dcae.qcow2", "type": "Root", "format": "qcow2", "size": 1.073741824E11, "actualSize": 2.147483648E10, "deviceId": 0.0, "state": "Enabled", "status": "Ready", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] } } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史